| Concept HostedConcept Type Concept for types that have a host. Concept Definition Required Metafunctions
Host | Type of the object a given object depends on.
Required Functions
assignHost | Assign to the host of a given value.
clearHost | Clear the host of the given object.
createHost | Construct the host of the given object.
dependentHost | Query dependent state of a hosted object.
emptyHost | Query emptiness state of a hosted object.
host | The object a given object depends on.
moveHost | Assign to the host of a given value.
setHost | Sets the host of an object.
Remarks The functions of this concept assume that the hosted object exports a function _dataHost that returns a reference to a holder type of Host<T>::Type &. SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:57